<?php

// This resync script implements a "dual" HTTP/SIP NOTIFY resync for the SPAs.
// We do this (even in the "real" SPA module) as neither of the methods
// is exactly reliable:
//
// 1. SIP NOTIFY doesn't work when the phone has no lines assigned
// 2. For reasons unknown, some SPAs under some circumstances simply *ignore*
//    HTTP resync requests. They return "OK" but don't do anything.
//
// Sending both seems to be our "best shot" at resyncing.

$fh = urlopenPhone('http', '/admin/resync?',
	array('user' => 'admin', 'password' => $LAST_CONFIG['ADMIN_PASSWORD']));

while (!feof($fh)) {
	fread($fh, 8192);
}

fclose($fh);

sendSipNotify(array('auth' => 'digest'));

