<?php
/**
 *  This is the example SPA provider, version 1.
 */

/**
 * Convert the UTC offset in seconds to a string that the phone will understand.
 *
 * Supported values are:
 *   GMT-12:00, GMT-11:00, ..., GMT, GMT+01:00, GMT+02:00, ..., GMT+13:00
 */
function spaTimezone($offset) {
	if ($offset === 0) {
		return "GMT";
	}

	$offset = intval($offset / 60);
	$offsetH = intval($offset / 60);
	$offsetM = abs($offset) % 60;

	return sprintf("GMT%+03d:%02d", $offsetH, $offsetM);
}

$model = null;
$matches = array();

// Determine whether we are interested in the request

if (preg_match('~^/Cisco/SPA3[0-9A-Z_-]+/([0-9a-f]{12})\\.cfg$~i', $PATH, $matches)) {
	$model = 'spa3xx';
	$mac = normalizeMac($matches[1]);
}
else if (preg_match('~^/Cisco/SPA5[0-9A-Z_-]+/([0-9a-f]{12})\\.cfg$~i', $PATH, $matches)) {
	$model = 'spa5xx';
	$mac = normalizeMac($matches[1]);
}
else {
	// We don't know this file; let other modules handle it.
	passNext();
}

// v--- This variable will be used later in the template.
$timezoneString = spaTimezone($TIMEZONE_OFFSET);

// Read phone configuration (creating the phone if it doesn't already exist)
// and make it available in variables like $LINES. They will be used in the
// template.

associatePhone($mac, $model);


sendTemplate('spa_main'); // terminates execution

